Name:       tipcutils
Version:    2.0.6
Release:    3%{?dist}
License:    BSD
URL:        http://tipc.sourceforge.net/
Summary:    Utils package required to configure TIPC
Source0:    https://github.com/TIPC/%{name}/archive/v2.0.6.tar.gz

BuildRequires: autoconf
BuildRequires: automake

%description
Tipcutils is a set of userspace programs used to configure and manage TIPC on
your system. It provides the tipc-config and tipc-pipe utilities.
The tipc-config tool provides numerous commands for configuring and
monitoring a TIPC network. Certain commands are only available to users
having network administrator privileges (eg. root) to prevent unauthorized
users from reconfiguring the network. The tipc-pipe utility acts as a netcat
like program for TIPC. It is used for reading and writing network connections
using TIPC.

%prep
%setup -q -n %{name}-%{version}
head -n31 tipc-config/tipc-config.c | tail -n28 | sed -e 's/ \* //g' -e 's/\*//g' > LICENSE

%build
./bootstrap
%configure
make

%install
make install DESTDIR=%{buildroot}

%files
%{_sbindir}/tipc-config
%{_bindir}/tipc-pipe
%{_mandir}/man1/tipc-config.1.gz
%{_mandir}/man1/tipc-pipe.1.gz
%doc LICENSE README

%check
make check

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Oct  2 2014 Peter Hanecak <hany@hany.sk> - 2.0.6-1
- new stable version
- source tarball is now on GitHub, with slightly different structure
  (build requires autoconf and automake)
- fixed license: only BSD (no piece of code in current version states GPL)

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 21 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2.0.5-6
- correct license information

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 22 2013 Lokesh Mandvekar <lsm5@buffalo.edu> - 2.0.5-4
- LICENSE file generated

* Fri Apr 19 2013 Lokesh Mandvekar <lsm5@buffalo.edu> - 2.0.5-3
- prefix removed, not needed

* Fri Apr 19 2013 Lokesh Mandvekar <lsm5@buffalo.edu> - 2.0.5-2
- macro used for prefix, defattr removed
- check section added
- description updated

* Thu Apr 18 2013 Lokesh Mandvekar <lsm5@buffalo.edu> - 2.0.5-1
- New stable version - initial package

* Tue Apr 16 2013 Lokesh Mandvekar <lsm5@buffalo.edu> - 2.0.4-1
- Version upgrade

* Fri Sep 07 2012 Erik Hugne <erik.hugne@ericsson.com> - 2.0.3-1
- Initial Fedora package
